For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Get Quote Details

GET
https://api-b2b.bigcommerce.com/api/v3/io/rfq/:quote_id
GET
/api/v3/io/rfq/:quote_id
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456 \
> -H "X-Auth-Token: <apiKey>" \
> --data-urlencode date=04/07/2025
200Retrieved
1{
2 "meta": {
3 "message": "SUCCESS"
4 },
5 "code": 200,
6 "data": {
7 "quoteNumber": "QN101234",
8 "status": 0,
9 "bcOrderId": "195",
10 "orderId": "112495",
11 "channelName": "b2B Store",
12 "createdAt": 1622619778,
13 "expiredAt": 1722619778,
14 "createdBy": "Marie Curie",
15 "notes": "Use the in-quote messaging system to contact us about products, pricing, or other quote information.",
16 "discount": 20,
17 "grandTotal": 1495,
18 "legalTerms": "Thank you for the opportunity to provide this quote! Please note the following:\n - Quotes are valid for 30 days unless otherwise stated.\n - Pricing is subject to change at any time.",
19 "displayDiscount": true,
20 "allowCheckout": true,
21 "productList": [
22 {
23 "productId": 12345,
24 "productName": "Sansiveria Plant",
25 "variantId": 12345,
26 "sku": "SAN-PL",
27 "basePrice": 25,
28 "discount": 20,
29 "offeredPrice": 20,
30 "quantity": 20,
31 "orderQuantityMaximum": 100,
32 "orderQuantityMinimum": 5,
33 "imageUrl": "https://mybcstore.com/sansiveria.jpg",
34 "options": [
35 {
36 "optionId": 1234,
37 "optionValue": "1234",
38 "optionLabel": "Ocean",
39 "optionName": "Color"
40 }
41 ]
42 }
43 ],
44 "shippingAddress": {
45 "label": "Default Shipping",
46 "firstName": "Marie",
47 "lastName": "Curie",
48 "addressId": 12345,
49 "stateCode": "TX",
50 "countryCode": "US"
51 },
52 "contactInfo": {
53 "name": "Marie Curie",
54 "email": "string",
55 "companyName": "Great Buys Incorporated",
56 "phoneNumber": "512-200-1234"
57 },
58 "discountType": 0,
59 "discountValue": 25,
60 "shippingTotal": 150.95,
61 "taxTotal": 140.67,
62 "totalAmount": 1495,
63 "quoteLogo": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/logo.png",
64 "shippingMethod": {
65 "id": 1725,
66 "b2bId": 1725,
67 "imageUrl": "https://fedex.com/logo.png",
68 "isCustom": true,
69 "transitTime": "2 business days",
70 "additionalDescription": "Priority Mail International",
71 "type": "shipping_flatrate",
72 "cost": 175.95,
73 "description": "LTL - With Lift Gate"
74 },
75 "billingAddress": {
76 "address": "512 Bluebonnet Lane",
77 "apartment": "Building 100",
78 "city": "Austin",
79 "state": "Texas",
80 "zipCode": "78704",
81 "country": "United States",
82 "label": "Default Shipping",
83 "firstName": "Marie",
84 "lastName": "Curie",
85 "addressId": 12345,
86 "stateCode": "TX",
87 "countryCode": "US"
88 },
89 "storeInfo": {
90 "storeName": "B2B Store",
91 "storeAddress": "123 Main Street\nAustin, TX 78704\nUnited States of America",
92 "storeCountry": "United States",
93 "storeLogo": "https://cdn11.bigcommerce.com/s-1234abcd/product_images/bc_logo_1666214140__52549.png"
94 },
95 "companyInfo": {
96 "companyId": 5456,
97 "companyName": "Great Buys Incorporated",
98 "companyAddress": "512 Bluebonnet Lane",
99 "companyCity": "Austin",
100 "companyState": "Texas",
101 "companyZipCode": "78704",
102 "companyCountry": "United States",
103 "companyphoneNumber": "512-200-1234"
104 },
105 "salesRepInfo": {
106 "salesRepName": "Isaac Newton",
107 "salesRepEmail": "inewton@mybcstore.com",
108 "salesRepPhoneNumber": "512-111-4444"
109 },
110 "storefrontAttachFiles": [
111 {
112 "id": 12345,
113 "fileName": "fintech intake form - filled out.csv",
114 "fileType": "text/csv",
115 "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
116 }
117 ],
118 "backendAttachFiles": [
119 {
120 "id": 12345,
121 "fileName": "fintech intake form - filled out.csv",
122 "fileType": "text/csv",
123 "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
124 }
125 ],
126 "trackingHistory": [
127 {
128 "date": 1630489012,
129 "role": "Customer: Marie Curie",
130 "message": "Are there bulk discounts available?"
131 }
132 ],
133 "extraFieldsInfo": [
134 {
135 "id": 1.1,
136 "uuid": "string",
137 "fieldName": "string",
138 "fieldType": 0,
139 "isRequired": true,
140 "isUnique": true,
141 "visibleToEnduser": true,
142 "configType": 1,
143 "defaultValue": "string",
144 "maximumLength": "string",
145 "numberOfRows": "string",
146 "maximumValue": "string",
147 "listOfValue": [
148 "string"
149 ]
150 }
151 ],
152 "recipients": [
153 "string"
154 ],
155 "subtotal": 1495,
156 "channelId": 1,
157 "quoteTitle": "Plates - Custom Etching",
158 "referenceNumber": "03302025-0001",
159 "currency": {
160 "token": "$",
161 "location": "left",
162 "currencyCode": "USD",
163 "decimalToken": ".",
164 "decimalPlaces": 2,
165 "thousandsToken": ",",
166 "currencyExchangeRate": 1.34
167 },
168 "extraFields": [
169 {
170 "fieldName": "I want a sales representative to call me at the provided phone number.",
171 "fieldValue": "Yes"
172 }
173 ]
174 }
175}
Retrieves the full details of a specific quote based on the provided `quote_id`. This endpoint provides more detailed information about a specific quote than [Get All Quotes](#get-all-quotes). This includes line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative.
Was this page helpful?
Previous

List Quote Extra Fields Configs

Next

Update Quote

Built with

Retrieves the full details of a specific quote based on the provided quote_id.

This endpoint provides more detailed information about a specific quote than Get All Quotes. This includes line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Query parameters

datestringRequired

The date that the quote was created. Use %m/%d/%Y format.

Response

OK
metaobject
codeintegerDefaults to 200
dataobject